summarylogtreecommitdiffstats
path: root/mod-generate-dictionary.sh
diff options
context:
space:
mode:
authortrickart2016-10-21 01:58:07 +0900
committertrickart2016-10-21 01:58:07 +0900
commitadb6fef362821fd1f39e936f07151a4ee57888b6 (patch)
tree3ae9f27be28d05679bee8eb6c9ba6aa4bc7c4cf6 /mod-generate-dictionary.sh
downloadaur-adb6fef362821fd1f39e936f07151a4ee57888b6.tar.gz
First commit
Diffstat (limited to 'mod-generate-dictionary.sh')
-rwxr-xr-xmod-generate-dictionary.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/mod-generate-dictionary.sh b/mod-generate-dictionary.sh
new file mode 100755
index 000000000000..cd131ce42f42
--- /dev/null
+++ b/mod-generate-dictionary.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/bash -e
+
+[[ ! -f generate-dictionary.sh ]] && { echo "generate-dictionary.sh not found."; exit 1; }
+
+sed -i \
+ -e '1s/sh/sh -e/' \
+ -e 's/ruby \(.*\)/ruby -EUTF-8 \1/g' \
+ generate-dictionary.sh \
+ edict-katakana-english/generate-dictionary.sh
+
+# Comment out the specifying versions and initial cleanup
+# cp $srcdir/KEN_ALL.CSV to chimei/
+# Specify $srcdir/JIGYOSYO.CSV
+# Modify mozc-\$MOZCVER to mozc
+# Remove making xz archive
+sed -i \
+ -e 's/^\(MOZCVER=.*\|DICVER=.*\|NICODIC=.*\)/#&/' \
+ -e '/rm -rf mozc-$MOZCVER/s/^/#/i' \
+ -e '/echo "extract official mozc..."/,+1s/^/#/ig' \
+ -e '/rm -f \*\.zip/,+6s/^/#/ig' \
+ -e '/cd chimei/a cp -f ../../KEN_ALL.CSV .' \
+ -e 's|JIGYOSYO.CSV|../../JIGYOSYO.CSV|' \
+ -e 's|mozc-\$MOZCVER|mozc|g' \
+ -e '/# compress mozc-ut/,+4s/^/#/ig' \
+ -e 's|^cp -r docs/|cp -r docs-ut/|' \
+ generate-dictionary.sh
+
+sed -i \
+ -e '/rm edict.*/,/gzip -dk edict.*/s/^/#/ig' \
+ edict-katakana-english/generate-dictionary.sh
+
+#sed -i '71s/s\[5\]/& != "" and &/' chimei/get-entries.rb